Subject: Re: bug#1077: bug#670: bug#1077: 23.0.60; x-create-frame: (wrong-type-argument number-or-marker-p nil)

From: Stefan Monnier <[email-masked]>
Date: Sun, 28 Nov 2010 15:43:45 -0500

> I understand that.  But I'm not clear on how the backtrace stack is
> constructed.  If the error occurs in `<' (Lisp), then shouldn't Lisp
> know what the _Lisp_ caller of Lisp `<' was?  (You've already
> mentioned, I think, that C doesn't return control to Lisp
> `<' directly.)

The Elisp backtrace only keeps track of Elisp function calls, so if the
C code runs a chunk of code via `eval' rather than via `funcall', there
is no function name pushed on the Elisp backtrace :-(

        Stefan